%define 	_name 	areca

Name:		areca-backup
Version:	7.3.7
Release:	%mkrel 1
License:	GPLv2
Url:		http://www.areca-backup.org
Source:		%{_name}-%{version}-src.tar.gz
Group:		Archiving/Backup
Summary:	Java based backup utility

BuildRequires:	ant
BuildRequires:	eclipse-swt
BuildRequires:	classpath-devel
BuildRequires:	java-devel >= 0:1.6.0
BuildRequires:	javapackages-tools
BuildRequires:	attr-devel
BuildRequires:	acl-devel
BuildRequires:	desktop-file-utils

Requires:	java >= 0:1.6.0
Requires:	eclipse-swt
Requires:	gksu


%description
Areca Backup is a file backup tool written in java.
It supports data compression and encription, incremental backup,
file history explorer and many other features.
Areca Backup also includes a transaction mechanism which
guarantees your backups' integrity

%prep
%setup -c -q -n %{name}-%{version}

%build
%ant

%install
rm -fr %{buildroot}
install -D -d -m 755 %{buildroot}%{_datadir}/%{name}/
cp -R {bin,translations,lib,jsmooth,icons} %{buildroot}%{_datadir}/%{name}/

install -D -m 755 %{_name}.sh %{buildroot}%{_datadir}/%{name}/

install -D -d -m 755 %{buildroot}%{_iconsdir}
install -D -m 755 icons/ico_72.png %{buildroot}%{_iconsdir}/areca-backup.png

install -D -m 755 COPYING %{buildroot}%{_datadir}/%{name}/

install -D -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Areca Backup
Comment=%{summary}
Exec=%{_datadir}/%{name}/%{_name}.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Utility;Archiving;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/%{name}-superuser.desktop <<EOF
[Desktop Entry]
Name=Areca Backup (Super User)
Comment=%{summary}
Exec=gksu %{_datadir}/%{name}/%{_name}.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Utility;Archiving;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-superuser.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS COPYING help/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-superuser.desktop
%{_datadir}/%{name}/translations/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/bin/*
%{_datadir}/%{name}/jsmooth/*
%{_datadir}/%{name}/%{_name}.sh
%{_datadir}/%{name}/COPYING
%{_iconsdir}/%{name}.png


%changelog
* Mon Oct 28 2013 matteo <matteo> 7.3.7-1.mga4
+ Revision: 547757
- new version 7.3.7

* Tue Oct 22 2013 umeabot <umeabot> 7.2.18-3.mga4
+ Revision: 545777
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 7.2.18-2.mga4
+ Revision: 501803
- remove no longer needed patch
- BR javapackages-tools

* Thu Mar 28 2013 matteo <matteo> 7.2.18-1.mga3
+ Revision: 405978
- new version

* Fri Jan 11 2013 umeabot <umeabot> 7.2.17-2.mga3
+ Revision: 346025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 matteo <matteo> 7.2.17-1.mga3
+ Revision: 321507
- new version

* Tue Nov 06 2012 matteo <matteo> 7.2.15-1.mga3
+ Revision: 314625
- new version

* Sun Sep 16 2012 matteo <matteo> 7.2.12-1.mga3
+ Revision: 294418
- new version

* Mon Jun 25 2012 matteo <matteo> 7.2.10-2.mga3
+ Revision: 263342
- fixed missing requirement eclipse-swt

* Fri Jun 15 2012 matteo <matteo> 7.2.10-1.mga3
+ Revision: 260792
- new version
  - Pre/Postprocessors can now be run when archives are merged or checked
  - Minor bugfixes and improvements.

* Sat Jun 02 2012 matteo <matteo> 7.2.9-2.mga3
+ Revision: 253372
- fixed java require

* Tue May 29 2012 dmorgan <dmorgan> 7.2.9-1.mga3
+ Revision: 249076
- New version 7.2.9
- Build with java7

* Thu Jan 05 2012 matteo <matteo> 7.2.2-3.mga2
+ Revision: 191864
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 7.2.2-2.mga2
+ Revision: 190195
- patch unzipped

* Fri Dec 16 2011 matteo <matteo> 7.2.2-1.mga2
+ Revision: 182693
- BR acl-devel added
- BR attr-devel added
- BR glibc-devel added
- BRs switched to openjdk
  Added license file to application directory (required by the gui)
- Added icon file
  Added a second desktop file to allow user launch areca as simple user (without gksu)
  Added license and authors files
- imported package areca-backup

